Subject: RE: [SciPy-dev] SciPy on Cygwin
From: "Norman Vine" <[email-masked]>
To: "'Jochen Küpper'" <[email-masked]>
Cc: "'Cygwin'" <[email-masked]>
Date: Fri, 28 Sep 2001 13:45:58 -0400

Jochen Küpper  writes:
>
>>>>>> Jason Tishler wrote on Thu, 27 Sep 2001 16:48:48 -0400:
>
>Jason> The usually solution to the above kind of errors is the
>Jason> following:
>
>Jason> http://www.python.org/doc/FAQ.html#3.24
>
>
>Running into the next problem is the definition of PyFortran_Type in
>fortranmodule.h, I changed in the following way:
>
>- no global initialization:
>
>PyTypeObject PyFortran_Type;
>
>
>- created this function in fortranmodule.c, added declaration to
>fortranmodule.h and call it from initflapack:
>
>void fortranobject_init(void) {
>  PyFortran_Type = (PyTypeObject){

SEE  the link Jason pointed you to above
for why this line is what I believe is causing your problem !

FYI
I am looking at the f2py source and can see how to fix the
DL_EXPORT() problem but I have yet to see any easy fix
for this one yet.

You could try hand patching this as outlined in above link,

Note you will need to substitute DL_EXPORT(void) for the void
signature of the python modules initMODULENAME() function too.

Cheers

Norman Vine

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/